Package com.sun.jna.platform.win32.COM.tlb

# Class TlbImp

java.lang.Object
com.sun.jna.platform.win32.COM.tlb.TlbImp

All Implemented Interfaces:
  `TlbConst`

public class TlbImp extends Object implements TlbConst
The Class TlbImp.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.tlb.imp.TlbConst

  `BINDING_MODE_DISPID, BINDING_MODE_VTABLE, CMD_ARG_BINDING_MODE, CMD_ARG_OUTPUT_DIR, CMD_ARG_TYPELIB_FILE, CMD_ARG_TYPELIB_ID, CMD_ARG_TYPELIB_MAJOR_VERSION, CMD_ARG_TYPELIB_MINOR_VERSION, CR, CRCR, TYPELIB_ID_OFFICE, TYPELIB_ID_SHELL, TYPELIB_ID_WORD, TYPELIB_MAJOR_VERSION_OFFICE, TYPELIB_MAJOR_VERSION_SHELL, TYPELIB_MAJOR_VERSION_WORD, TYPELIB_MINOR_VERSION_OFFICE, TYPELIB_MINOR_VERSION_SHELL, TYPELIB_MINOR_VERSION_WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlbImp(String[] args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `logInfo(String msg)`
  Log info.
  `static void`
  `main(String[] args)`
  The main method.
  `void`
  `startCOM2Java()`
  Start startCOM2Java.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TlbImp

    public TlbImp(String[] args)

- ## Method Details

  - ### main

    public static void main(String[] args)
    The main method.
    Parameters:
      `args` - the arguments

  - ### startCOM2Java

    public void startCOM2Java()
    Start startCOM2Java.

  - ### logInfo

    public static void logInfo(String msg)
    Log info.
    Parameters:
      `msg` - the msg